mui.init({})
//获取受理人下拉

//获取接收人员


$(function() {
	//	受理人下拉
	$('#order_responsible').on('tap', function() {
//		alert("ddd");
		getOrderResponsible();
		$("#order_responsible option").remove();
	});
	//	接收人员
	$('#order_recive').on('tap', function() {
//		alert("ddd");
		getReceiveUser();
		$("#order_recive option").remove();
	});
	$('.order_type').find('input[type="radio"]').on('change', function() {
			if($(this).val() === "108") { //投诉
				$('.complaintOrder').show();  //receive
				$('.receive').hide();
			} else {
				$('.receive').show();
				$('.complaintOrder').hide();
			}
		});
	//工单有效性 
	$('#order_valid').find('input[type="radio"]').on('change', function() {
		//是否有效工单项(0有效，1无效)
		if($(this).val() === "1") { //无效
			$('.order_note').show();
		} else {
			$('.order_note').hide();
		}
	});
	//提交按钮
//	接收部门
	function getDepts() {
		alert("ddd")
	}

	//项目名称





	(function($, doc) {
		$.init();
		$.ready(function() {


			//投诉类型
			var userPicker =  new $.PopPicker({
					layer: 3
			});		
			var showUserPickerButton = doc.getElementById('showUserPicker');
			var userResult = doc.getElementById('complaintOrder_type');
			var userResult2 = doc.getElementById('serviceOrder_type');
			var userResult3 = doc.getElementById('is_quality_assurance');
			showUserPickerButton.addEventListener('tap', function(event) {
				//alert(00);
				userPicker.setData(cityData3);
				userPicker.show(function(items) {
					if (items[2].text==undefined) {
						//alert("123");
						userResult.value = items[0].text + "-" + items[1].text;
					} else{
						userResult.value = items[0].text + "-" + items[1].text + "-" + items[2].text;
					}
//					getDepts();
					userResult.setAttribute("data-index", items[0].value);
					userResult2.setAttribute("data-index", items[1].value);
					userResult3.setAttribute("data-index", items[2].value);
					//返回 false 可以阻止选择框的关闭
					//return false;
				});
			}, false);
			
		})
	})(mui, document);

})

